e10s ? Rated 5 out of 5 stars

It seems it doesn't support e10s but since e10s is disabled on my profile, I couldn't say if it still properly works despite that.

I know mozilla changes too frequently and it's pain in the as* for dev to maintain their add-on. I empathize with you. I hope it will be compliant with future firefox release. I love it.

Do you plan to update it?

This review is for a previous version of the add-on (2.9.0.14). 

About to be update for e10s

"Do you plan to update it?"
Yes, of course, I'm working around the clock to update "classic" NoScript for full e10s compatibility and to release a WebExtensions-based version before "legacy" add-ons get phased out.